#### D.11.2.6 rightKernel

Procedure from library `control.lib` (see control_lib).

Usage:
  rightKernel(M); M a matrix

Return:
  module

Purpose:
  computes the right kernel of matrix M (a module of all elements v such that Mv=0)

Example:

    LIB "control.lib";
    ring r = 0,(x,y,z),dp;
    matrix M[1][3] = x,y,z;
    print(M);
    ==> x,y,z
    matrix R = rightKernel(M);
    print(R);
    ==> 0, -y,-z,
    ==> -z,x, 0,
    ==> y, 0, x
    // check:
    print(M*R);
    ==> 0,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.